<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_8cca4dd34e" . "20c5344bb2a" . "30f2533c4e5" => base64_decode("ZnVs" . "bF9u" . "YW1l"), "_28c85ce81" . "fee6532980" . "262893b6f2" . "425" => base64_decode("dXNlcm" . "5hbWU="), "user_" . "id" => base64_decode("dXNlcl" . "9pZA=="));
use Claromentis\Core\Event\GenericEvent;
use InvalidArgumentException;









class DeleteUserEvent extends GenericEvent
{
    
    
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["use" . "r_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_8cca4dd34e20c5344bb2a30f25" . "33c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_28c85ce81fee65329" . "80262893b6f2425"]);
    }
}